%global modname flask
%global srcname Flask

Name:           python-%{modname}
Version:        0.12.2
Release:        %mkrel 1
Summary:        A micro-framework for Python based on Werkzeug, Jinja 2 and good intentions
Group:          Development/Python
License:        BSD
URL:            http://flask.pocoo.org/
Source0:        %{srcname}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-jinja2
BuildRequires:  python-werkzeug
BuildRequires:  python-itsdangerous
BuildRequires:  python-click
Requires:       python-jinja2
Requires:       python-werkzeug
Requires:       python-itsdangerous
Requires:       python-click

%description
Flask is called a “micro-framework” because the idea to keep the core
simple but extensible. There is no database abstraction layer, no form
validation or anything else where different libraries already exist
that can handle that. However Flask knows the concept of extensions
that can add this functionality into your application as if it was
implemented in Flask itself. There are currently extensions for object
relational mappers, form validation, upload handling, various open
authentication technologies and more.

%package -n python3-%{modname}
Summary:  A micro-framework for Python3 based on Werkzeug & Jinja 2      
Group:          Development/Python
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-jinja2
BuildRequires:  python3-werkzeug
BuildRequires:  python3-itsdangerous
BuildRequires:  python3-click
Requires:       python3-jinja2
Requires:       python3-werkzeug
Requires:       python3-itsdangerous
Requires:       python3-click

%description -n python3-%{modname}
Flask is called a “micro-framework” because the idea to keep the core
simple but extensible. There is no database abstraction layer, no form
validation or anything else where different libraries already exist
that can handle that. However Flask knows the concept of extensions
that can add this functionality into your application as if it was
implemented in Flask itself. There are currently extensions for object
relational mappers, form validation, upload handling, various open
authentication technologies and more.

Python 3 version.


%prep
%setup -qn %{srcname}-%{version}
rm -vf examples/flaskr/.gitignore

%build
%py2_build
%py3_build

PYTHONPATH=`pwd` sphinx-build -b html docs/ docs/_build/html/
rm -rf docs/_build/html/{.buildinfo,.doctrees}

%install
%py2_install
mv %{buildroot}%{_bindir}/%{modname}{,-%{python2_version}}
ln -s %{modname}-%{python2_version} %{buildroot}%{_bindir}/%{modname}-2

%py3_install
mv %{buildroot}%{_bindir}/%{modname}{,-%{python3_version}}
ln -s %{modname}-%{python3_version} %{buildroot}%{_bindir}/%{modname}-3

ln -sf %{modname}-2 %{buildroot}%{_bindir}/%{modname}

%files
%doc CHANGES README LICENSE 
%{_bindir}/%{modname}-2
%{_bindir}/%{modname}-%{python2_version}
%{python2_sitelib}/%{srcname}-*.egg-info/
%{python2_sitelib}/%{modname}/
%{_bindir}/%{modname}

%files -n python3-%{modname}
%doc CHANGES README LICENSE
%{_bindir}/%{modname}-3
%{_bindir}/%{modname}-%{python3_version}
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Tue Aug 22 2017 bb2 <bb2> - 0.12.2-1pclos2017
- new
